aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucket

Synopsis

- data GetBucket = GetBucket {
  - gbBucket :: Bucket
  - gbDelimiter :: Maybe Text
  - gbMarker :: Maybe Text
  - gbMaxKeys :: Maybe Int
  - gbPrefix :: Maybe Text
  }
- getBucket :: Bucket -> GetBucket
- data GetBucketResponse = GetBucketResponse {
  - gbrName :: Bucket
  - gbrDelimiter :: Maybe Text
  - gbrMarker :: Maybe Text
  - gbrMaxKeys :: Maybe Int
  - gbrPrefix :: Maybe Text
  - gbrContents :: [ObjectInfo]
  - gbrCommonPrefixes :: [Text]
  - gbrIsTruncated :: Bool
  - gbrNextMarker :: Maybe Text
  }

# Documentation

data GetBucket #

Constructors

GetBucket |
Fields gbBucket :: Bucket gbDelimiter :: Maybe Text gbMarker :: Maybe Text gbMaxKeys :: Maybe Int gbPrefix :: Maybe Text

Instances

Show GetBucket # |
Methods showsPrec :: Int -> GetBucket -> ShowS # show :: GetBucket -> String # showList :: [GetBucket] -> ShowS #
SignQuery GetBucket # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration GetBucket :: * -> * # Methods signQuery :: GetBucket -> ServiceConfiguration GetBucket queryType -> SignatureData -> SignedQuery #
IteratedTransaction GetBucket GetBucketResponse # |
Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket #
Transaction GetBucket GetBucketResponse # |
type ServiceConfiguration GetBucket # |
type ServiceConfiguration GetBucket = S3Configuration

getBucket :: Bucket -> GetBucket #

data GetBucketResponse #

Constructors

GetBucketResponse |
Fields gbrName :: Bucket gbrDelimiter :: Maybe Text gbrMarker :: Maybe Text gbrMaxKeys :: Maybe Int gbrPrefix :: Maybe Text gbrContents :: [ObjectInfo] gbrCommonPrefixes :: [Text] gbrIsTruncated :: Bool gbrNextMarker :: Maybe Text

Instances

Show GetBucketResponse # |
Methods showsPrec :: Int -> GetBucketResponse -> ShowS # show :: GetBucketResponse -> String # showList :: [GetBucketResponse] -> ShowS #
AsMemoryResponse GetBucketResponse # |
Associated Types type MemoryResponse GetBucketResponse :: * # Methods loadToMemory :: GetBucketResponse -> ResourceT IO (MemoryResponse GetBucketResponse) #
IteratedTransaction GetBucket GetBucketResponse # |
Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket #
Transaction GetBucket GetBucketResponse # |
ListResponse GetBucketResponse ObjectInfo # |
Methods listResponse :: GetBucketResponse -> [ObjectInfo] #
ResponseConsumer r GetBucketResponse # |
Associated Types type ResponseMetadata GetBucketResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketResponse) -> HTTPResponseConsumer GetBucketResponse #
type MemoryResponse GetBucketResponse # |
type MemoryResponse GetBucketResponse = GetBucketResponse
type ResponseMetadata GetBucketResponse # |
type ResponseMetadata GetBucketResponse = S3Metadata